Obtener el diseño del mail
curl --request GET \
--url https://www.facture.ar/api/cuits/{cuitId}/email-design \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://www.facture.ar/api/cuits/{cuitId}/email-design', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.facture.ar/api/cuits/{cuitId}/email-design"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.facture.ar/api/cuits/{cuitId}/email-design",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"accentColor": "<string>",
"backgroundColor": "<string>",
"showLogo": true,
"subject": "<string>",
"body": "<string>",
"signature": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"resolution": "<string>",
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<unknown>"
}CUITs
Obtener el diseño del mail
El diseño del mail con el que sale la factura de este CUIT. Los campos en null usan el valor por defecto.
GET
/
cuits
/
{cuitId}
/
email-design
Obtener el diseño del mail
Authorizations
API Key para autenticación. Formato: test_sk_xxx para testing, prod_sk_xxx para producción.
Path Parameters
ID del CUIT en Facturear
Response
Diseño del mail
Diseño del mail con el que sale la factura de este CUIT. null = valor por defecto
Color de la banda superior (#rrggbb)
Pattern:
^#[0-9a-fA-F]{6}$Color de fondo (#rrggbb)
Pattern:
^#[0-9a-fA-F]{6}$Mostrar el logo del CUIT en el encabezado
Asunto. Admite bloques como %emisor%
Maximum string length:
200Mensaje. Admite bloques como %cliente%
Maximum string length:
3000Firma. null = firma por defecto; texto vacío = sin firma
Maximum string length:
500